Rygel.Serializer – librygel-server Reference Manual

# Serializer

## Object Hierarchy:

## Description:

public class Serializer : `Object`

Proxy class hiding the different serializers (DIDL, DIDL_S, M3U) behind a single implementation.

Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public SerializerType serializer_type { construct; }

### Creation methods:

- public Serializer (SerializerType type)

### Methods:

- public override void constructed ()
- public `DIDLLiteItem`? add_item ()
- public `DIDLLiteContainer`? add_container ()
- public void filter (`string` filter_string)
- public `string` get_string ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count